Subject: GSP 670, Windows 10, Unable to pair
From: EPOS Global Support <[email-masked]>
Cc: Pradeep Verma <[email-masked]>
Date: Thu, 13 May 2021 15:37:53 +0000

##- Please type your reply above this line -##

You are registered as a CC on this support request (148246). Reply to this email to add a comment to the request.

----------------------------------------------

Pravesh Singh, May 13, 2021, 15:37 UTC (private)

Request #149146 "New ticket from +19495054979" was closed and merged into this request. Last comment in request #149146:
User called to confirm if we have received his email. Informed the customer that we have received it and we will respond you back.

----------------------------------------------

Saad Sultan, May 13, 2021, 15:32 UTC

Hi grace,

Attachment(s):
Amazon.PDF - https://eposaudio-gaming.zendesk.com/attachments/token/adLPf2B7KyrHt3a1iPLGvTbjk/?name=Amazon.PDF20210513_083006.jpg - https://eposaudio-gaming.zendesk.com/attachments/token/pDsAJnTViGK4yycYnTPShYq7H/?name=20210513_083006.jpg20210513_083011.jpg - https://eposaudio-gaming.zendesk.com/attachments/token/VVZ54bKrUW5VhnX6Oxqy0Ixwh/?name=20210513_083011.jpg

----------------------------------------------

Grace Boussi, May 13, 2021, 15:21 UTC (private)

Request #149137 "New ticket from +18605779120" was closed and merged into this request. Last comment in request #149137:

----------------------------------------------

Grace Boussi, May 13, 2021, 15:21 UTC (private)

Customer will send the screenshot of his Gaming Suite
**Pradeep Verma**​ no need to call the customer

----------------------------------------------

Grace Boussi, May 13, 2021, 15:20 UTC (private)

**_CASE SUMMARY_**

**Contact person**: Saad Sultan
**Email**: [email-masked]
**Product name**: GSP 670
**Number of Products**: 1
**Sales Opportunity Size in Headsets**: 0
**Environment**: Windows 10
**Issue**: Unable to pair
**Current status**:
- Purchased on Oct 23 2020
- Unable to pair the HS and dongle since the new firm update today 09/05/2021
- Tried to clear the HS but unable to do it and cannot make it pairing mode, LED light up green
- The dongle keep flashing red and blue
- Set as default
- Cross tested with USB cable, there is no sound and unable to use
- Cross tested with different USB ports, nothing change
- Tried to connect the HS to his mobile phone, no success, LED light up green but device is not detected on the mobile phone
- Turn off the headset.
- Charge the headset for 4 hours
- Reset the dongle and the headset
- Turned on the headset and try pairing with the dongle/mobile phone.
- Serial number: 0230017972

----------------------------------------------

Grace Boussi, May 13, 2021, 15:17 UTC (private)

Total Duration 79
Disposition : Successful Call
Description:  Screenshot of the email requested  
URL:

----------------------------------------------

Pritish Nandi, May 13, 2021, 4:30 UTC (private)

Please call this customer

----------------------------------------------

Saad Sultan, May 12, 2021, 23:11 UTC

Hi zendesk,

Please give me a call my cell 949 505 4979

----------------------------------------------

Marika Fujita, May 11, 2021, 2:48 UTC (private)

**_NEXT ACTION_**

**Product name**: GSP 670
**Number of Products**: 1
**Environment**:
**Issue**: Unable to pair

**What**: I asked to send the screenshot of the Gaming suite.

**Who**: Saad
**When**: 14/05/2021

----------------------------------------------

Marika Fujita, May 11, 2021, 2:47 UTC

Dear Saad,

Could you please share the screenshot of the Gaming suite with firmware versions displayed?

Hoping to hear from you soon.

Kind regards,
Marika Fujita
EPOS Global Support

----------------------------------------------

Marika Fujita, May 11, 2021, 2:46 UTC

Dear Saad,

Thank you for your response.

This is noted. I will check RMA and get back to you once I confirmed.

I appreciate your patience.

Kind regards,
Marika Fujita
EPOS Global Support

----------------------------------------------

Saad Sultan, May 11, 2021, 2:27 UTC

Hi ,

It's been charging for 4 hours.

----------------------------------------------

Marika Fujita, May 11, 2021, 2:26 UTC (private)

**_NEXT ACTION_**

**Product name**: GSP 670
**Number of Products**: 1
**Environment**:
**Issue**: Unable to pair

**What**: I asked if he charge the headset at least 2 hours.

**Who**: Saad
**When:** 14/05/2021

----------------------------------------------

Marika Fujita, May 11, 2021, 2:25 UTC

Dear Saad,

Thank you for getting back to us.

Did you charge the headset at least 2 hours?

Kind regards,
Marika Fujita
EPOS Global Support

----------------------------------------------

Saad Sultan, May 11, 2021, 2:21 UTC

Hi Marika,

no its not working still please set me up a RMA Thank you.

----------------------------------------------

Marika Fujita, May 11, 2021, 1:49 UTC (private)

**_NEXT ACTION_**

**Product name**: GSP 670
**Number of Products**: 1
**Environment**:
**Issue**: Unable to pair

**What**:
 Try the below steps and ask the screenshot of GS
1) turn off the headset.
2)charge the headset for few hours(min. 2 hours)
3) Reset the dongle
4)turn on the headset and try pairing with the dongle/mobile phone.

**Who**: Saad
**When**: 14/05/2021

----------------------------------------------

Marika Fujita, May 11, 2021, 1:49 UTC

Dear Saad,

This is EPOS Global Support. Thank you for the chat yesterday.
For your convenience we have created **support ticket number 148246** for your inquiry.

We are sorry to hear that you are experiencing problems with GSP 670.

I have checked another solution with our team and I would like you to try the below steps:
1) Turn off the headset.
2) Charge the headset for few hours(min. 2 hours)
3) Reset the dongle
4) Turn on the headset and try pairing with the dongle/mobile phone
 ![](https://eposaudio.zendesk.com/attachments/token/LDnbrhofSBMvJQHKE4q2Ztuyq/?name=inline1337549056.png)
​
**Pair**
 ![](https://eposaudio.zendesk.com/attachments/token/EbEIEhf1tAnpV80g36FPaZt3Q/?name=inline-228966512.png)
 ![](https://eposaudio.zendesk.com/attachments/token/aEalDpZpK19nceXv9xnghK4IR/?name=inline-1590862360.png)

Also, please share the screenshot of the Gaming suite with firmware versions displayed.

Looking forward to hearing from you.

Kind regards,
Marika Fujita
EPOS Global Support

----------------------------------------------

Josephine Veena, May 10, 2021, 8:41 UTC (private)

Please ask the customer to share the screenshot of the Gaming suite with firmware versions displayed.

And also try the below steps:
1) turn off the headset.
2)charge the headset for few hours(min. 2 hours)
3) Reset the dongle
4)turn on the headset and try pairing with the dongle/mobile phone.

----------------------------------------------

Marika Fujita, May 10, 2021, 4:56 UTC (private)

**_CASE SUMMARY_**

**Contact person**: Saad Sultan
**Email**: [email-masked]
**Product name**: GSP 670
**Number of Products**: 1
**Sales Opportunity Size in Headsets**: 0
**Environment**: Windows 10
**Issue**: Unable to pair
**Current status**:
- Purchased on Oct 23 2020
- Unable to pair the HS and dongle since the new firm update today 09/05/2021
- Tried to clear the HS but unable to do it and cannot make it pairing mode, LED light up green
- The dongle keep flashing red and blue
- Set as default
- Cross tested with USB cable, there is no sound and unable to use
- Cross tested with different USB ports, nothing change
- Tried to connect the HS to his mobile phone, no success, LED light up green but device is not detected on the mobile phone

**Next:**
L2 to check RMA

----------------------------------------------

Saad Sultan, May 10, 2021, 4:32 UTC (private)

Chat ended: 2021-05-10 04:32 AM UTC

Name: saad 
Email: [email-masked]
Phone: -
Notes: -

----------------------------------------------

Saad Sultan, May 10, 2021, 4:30 UTC (private)

Chat started: 2021-05-10 04:00 AM UTC

(04:00:57 AM) saad : I have a GPS 670 headset
its not pairing
(04:01:04 AM) Customer Service: Thanks for your message, please wait a moment while our agents attend to you.
(04:01:08 AM) *** Marika Fujita joined the chat ***
(04:01:18 AM) Marika Fujita: Welcome to EPOS live chat. Let me read your message to help you further.
(04:01:41 AM) Marika Fujita: Hi, this is Marika. Happy to assist you today.
(04:02:12 AM) Marika Fujita: Did you try to reset and re-pair the device?
(04:02:18 AM) saad : yes
(04:02:32 AM) saad : Since the new firm update the headset been acting up
(04:02:52 AM) saad : now its not even letting me connect the headset
(04:02:59 AM) saad : won't even pair them
(04:03:20 AM) Marika Fujita: Could you please test with different USB port?
(04:03:30 AM) saad : ofcourse
(04:03:52 AM) saad : there two way to connect
(04:04:01 AM) saad : one is via blue dongle
(04:04:11 AM) saad : one is vide usb to the head set
(04:04:26 AM) Marika Fujita: You mean USB cable ?
(04:04:27 AM) saad : whiich one would you like me connect through
(04:04:40 AM) saad : its comes with usb cable
(04:04:41 AM) Marika Fujita: Could you please test both ?
(04:04:47 AM) saad : okay
(04:04:51 AM) Marika Fujita: Thank you
(04:05:51 AM) saad : blue tooth g70 ready
(04:06:37 AM) Marika Fujita: both headset and the dongle are pairing mode?
(04:07:06 AM) saad : not he head set
(04:07:11 AM) saad : no the head set
(04:07:40 AM) Marika Fujita: what is the LED status the dongle?
(04:07:55 AM) saad : blue and red blinking
(04:08:13 AM) Marika Fujita: it's pairing mode
(04:08:35 AM) Marika Fujita: could you please turn on the headset and make it pairing mode ?
(04:09:11 AM) saad : I am going to hold the button down on headset for pairing
(04:09:32 AM) saad : no light yet
(04:09:32 AM) Marika Fujita: okay, the LED flash blue and red?
(04:09:37 AM) saad : no
(04:10:31 AM) saad : how long do i have to hold it for
(04:10:48 AM) Marika Fujita: just second
(04:11:25 AM) saad : green light game on head set
(04:11:34 AM) saad : than it turn off
(04:11:53 AM) Marika Fujita: Could you please double press quickly the button of the headset?
(04:12:06 AM) saad : okay
(04:12:17 AM) saad : i just did
(04:12:23 AM) Marika Fujita: The pairing list will be clear
(04:12:46 AM) Marika Fujita: Did you see the LED light up purple?
(04:13:09 AM) saad : on headset or on usb dongle?
(04:13:17 AM) Marika Fujita: headset
(04:13:22 AM) saad : no light
(04:13:31 AM) saad : green light
(04:13:44 AM) saad : than it turn off
(04:14:05 AM) Marika Fujita: okay, how about USB cable ?
(04:14:21 AM) Marika Fujita: if you use it, the headset work properly?
(04:14:23 AM) saad : disconnect the usb dongle first
(04:14:28 AM) Marika Fujita: yes
(04:15:05 AM) saad : now I am going to connect the headset directly via usb cable
(04:15:12 AM) Marika Fujita: okay
(04:15:32 AM) saad : its connected
(04:15:45 AM) saad : green light is turn on
(04:15:50 AM) saad : which on my headset
(04:16:00 AM) Marika Fujita: okay
(04:16:15 AM) Marika Fujita: are you able to use it ?
(04:16:24 AM) saad : no sound
(04:16:49 AM) Marika Fujita: could you please check the sound setting?
(04:17:04 AM) Marika Fujita: did you select GSP 670 as a default ?
(04:17:49 AM) saad : speakers(GSP 670 Main)
(04:17:57 AM) Marika Fujita: okay
(04:18:23 AM) Marika Fujita: when did you purchase the headset and when the issue start?
(04:18:43 AM) saad : I had this issue before
(04:18:58 AM) saad : i got this last oct
(04:19:56 AM) Marika Fujita: okay, then now you are not able to use the headset with dongle and USB cable. Am I correct?
(04:20:20 AM) saad : yes
(04:20:43 AM) saad : I use today earlier today also
(04:21:02 AM) Marika Fujita: Could you please connect the headset to your mobile phone using Bluetooth?
(04:21:26 AM) saad : Oct 23 2020 when I purchase the head set
(04:21:33 AM) saad : okay
(04:21:55 AM) Marika Fujita: thank you
(04:23:04 AM) saad : its not connect
(04:23:13 AM) saad : my headset not let me paire
(04:23:25 AM) Marika Fujita: understood.
(04:24:05 AM) saad : can you call me 949 505 4979
(04:24:21 AM) Marika Fujita: I will check if we have another troubleshooting steps with our team then get back to you by email.
(04:24:50 AM) Marika Fujita: Is your email address correct? [email-masked]
(04:24:54 AM) saad : yes
(04:25:00 AM) saad : I might have RMA
(04:25:07 AM) Marika Fujita: Great,
(04:25:18 AM) Marika Fujita: yes I will check it as well
(04:25:43 AM) Marika Fujita: Once I confirmed I will send email.
(04:26:04 AM) Marika Fujita: your ticket number is 148246.
(04:26:32 AM) Marika Fujita: May I know your name ?
(04:26:50 AM) saad : saad sultan
(04:27:08 AM) Marika Fujita: Thank you very much Saad.
(04:27:13 AM) Marika Fujita: Is there anything else I can help you with?
(04:27:38 AM) saad : just let them know 360$ headset shouldn't have this kind of issue
(04:27:48 AM) saad : I have used Astroa40
(04:28:01 AM) saad : i have hyperx
(04:28:09 AM) saad : cloud
(04:28:19 AM) saad : I have few headset
(04:28:24 AM) Marika Fujita: Yes, I do understand your point. I am sorry for the inconvenience caused.
(04:28:35 AM) saad : I am venting
(04:28:39 AM) saad : but thank you
(04:28:48 AM) saad : I will be hearing from you guys
(04:28:53 AM) Marika Fujita: You are most welcome Saad
(04:29:00 AM) saad : tomorrow
?
(04:29:49 AM) Marika Fujita: tomorrow or 5/12 but I will get back to you as soon as I can
(04:30:07 AM) saad : okay
(04:30:25 AM) Marika Fujita: Thank you for choosing our website. Please feel free to contact us anytime if you need further assistance. Have a nice evening ;)
(04:30:34 AM) saad : bye
(04:30:42 AM) Marika Fujita: bye!
(04:30:54 AM) *** Marika Fujita left the chat ***

----------------------------------------------

Saad Sultan, May 10, 2021, 4:01 UTC (private)

Chat started: 2021-05-10 04:00 AM UTC
Served by: Marika Fujita

IP: 68.109.75.35
User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/90.0.4430.93 Safari/537.36 Edg/90.0.818.56
Country: United States
City: Laguna Niguel
URL: https://eposaudio-gaming.zendesk.com/hc/en-us/requests/new

Chat ID: 2105.967893.SWyfFLqRvYhN1

The chat transcript will be appended when the agent or visitor leaves the chat.

--------------------------------
This email is a service from EPOS Gaming.

[OKK0Z7-587Z]